<!--TODO wip-->
<!--<app-auction-filter></app-auction-filter>-->

<p-dataView
  (onLazyLoad)="searchAuctionCards($event)"
  [lazy]="true"
  [paginator]="true"
  [rows]="pageSize"
  [totalRecords]="totalRecords"
  [value]="auctionCardDto"
  layout="grid"
>
  <ng-template let-product pTemplate="gridItem">
    <app-single-auction-box
      style="display: inline-block"
      (click)="navigateToDetails(product.ychId)"
      [auctionCardDto]="product"
    ></app-single-auction-box>
  </ng-template>
</p-dataView>
